Browse Source

CI: clean up the required projects list for grenade

We don't need to install libraries from git in this job.
ironic-python-agent is also not needed since we download the ramdisk.

Change-Id: I634e75ab04253edffb6f19394d3943e9ffe56d13
(cherry picked from commit da69fca0f8)
tags/8.2.4^0
Dmitry Tantsur 6 months ago
parent
commit
c7a4ec8a3b
2 changed files with 0 additions and 10 deletions
  1. +0
    -5
      playbooks/legacy/ironic-inspector-grenade-dsvm/run.yaml
  2. +0
    -5
      zuul.d/legacy-ironic-inspector-jobs.yaml

+ 0
- 5
playbooks/legacy/ironic-inspector-grenade-dsvm/run.yaml View File

@@ -79,7 +79,6 @@
cmd: |
cat << 'EOF' >> ironic-extra-vars
export PROJECTS="openstack/ironic-inspector $PROJECTS"
export PROJECTS="openstack/python-ironic-inspector-client $PROJECTS"
export DEVSTACK_GATE_IRONIC_INSPECTOR=1

export DEVSTACK_LOCAL_CONFIG+=$'\n'"enable_plugin ironic-inspector https://opendev.org/openstack/ironic-inspector"
@@ -95,11 +94,7 @@
set -e
set -x
export PROJECTS="openstack/ironic $PROJECTS"
export PROJECTS="openstack/ironic-lib $PROJECTS"
export PROJECTS="openstack/ironic-python-agent $PROJECTS"
export PROJECTS="openstack/ironic-tempest-plugin $PROJECTS"
export PROJECTS="openstack/python-ironicclient $PROJECTS"
export PROJECTS="x/pyghmi $PROJECTS"
export PROJECTS="openstack/virtualbmc $PROJECTS"
export PYTHONUNBUFFERED=true
export DEVSTACK_GATE_TEMPEST=1

+ 0
- 5
zuul.d/legacy-ironic-inspector-jobs.yaml View File

@@ -5,12 +5,7 @@
required-projects:
- openstack/ironic
- openstack/ironic-inspector
- openstack/ironic-lib
- openstack/ironic-python-agent
- openstack/ironic-tempest-plugin
- x/pyghmi
- openstack/python-ironic-inspector-client
- openstack/python-ironicclient
- openstack/virtualbmc
irrelevant-files:
- ^test-requirements.txt$

Loading…
Cancel
Save